﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace RarialGuageUserControl
{
    public partial class RadialGuadeUC : UserControl
    {
        public RadialGuadeUC()
        {
            InitializeComponent();
        }



        public double GuageMinimumValue
        {
            get { return (double)GetValue(GuageMinimumValueProperty); }
            set { SetValue(GuageMinimumValueProperty, value); }
        }

        // Using a DependencyProperty as the backing store for GuageMinimumValue.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty GuageMinimumValueProperty =
            DependencyProperty.Register("GuageMinimumValue", typeof(double), typeof(RadialGuadeUC), new PropertyMetadata(0.0));
        

        public double GuageMaximumValue
        {
            get { return (double)GetValue(GuageMaximumValueProperty); }
            set { SetValue(GuageMaximumValueProperty, value); }
        }

        // Using a DependencyProperty as the backing store for GuageMaximumValue.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty GuageMaximumValueProperty =
            DependencyProperty.Register("GuageMaximumValue", typeof(double), typeof(RadialGuadeUC), new PropertyMetadata(1.0));


        public int GuageValue
        {
            get { return (int)GetValue(GuageValueProperty); }
            set { SetValue(GuageValueProperty, value); }
        }

        // Using a DependencyProperty as the backing store for GuageValue.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty GuageValueProperty =
            DependencyProperty.Register("GuageValue", typeof(int), typeof(RadialGuadeUC),  new PropertyMetadata(0));

        

    }
}
