﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace RarialGuageUserControl
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class GuageViewModel : INotifyPropertyChanged
    {
        private double min;
        private double max;
        private int value;

        public GuageViewModel()
        {
            Mininmum = 10;
            Maximum = 110;
            Value = 12;
        }

        public double Mininmum
        {
            get { return min; }
            set
            {
                min = value;
                PropChanged("Mininmum");
            }
        }

        public double Maximum
        {
            get { return max; }
            set
            {
                max = value;
                PropChanged("Maximum");
            }
        }

        public int Value
        {
            get { return value; }
            set
            {
                this.value = value;
                PropChanged("Value");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
